<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@android:color/transparent"
    android:orientation="vertical">

    <androidx.cardview.widget.CardView
        android:id="@+id/consumerhistory_card"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_margin="@dimen/custom_margin2dp"
        app:cardBackgroundColor="@color/grey_background"
        app:cardCornerRadius="@dimen/custom_margin"
        app:cardElevation="2dp">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <LinearLayout
                android:id="@+id/rl_visit_date"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical">

                <TextView
                    android:id="@+id/text_visit_date"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:gravity="center_vertical"
                    android:padding="@dimen/custom_margin"
                    android:text="Deepika S - 9888888880"
                    android:textColor="@color/black"
                    android:textSize="@dimen/txt_18sp"
                    android:textStyle="bold" />

                <View
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/custom_margin2dp"
                    android:background="@color/gray" />

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal"
                android:weightSum="10">
                <CheckBox
                    android:id="@+id/check_return_product"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:layout_gravity="center"
                    android:gravity="center"
                    android:buttonTint="@color/colorPrimary"
                    android:layout_margin="@dimen/custom_margin2dp"/>

                <LinearLayout
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:orientation="vertical"
                    android:layout_weight="9">
                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="@dimen/padding_10dp"
                        android:orientation="horizontal"
                        android:weightSum="10">

                        <TextView
                            android:id="@+id/consume_product"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_vertical"
                            android:layout_weight="10"
                            android:gravity="center_vertical"
                            android:padding="@dimen/custom_margin"
                            android:text=""
                            android:textColor="@color/black"
                            android:textSize="@dimen/text_size_16sp"
                            android:textStyle="normal" />

                    </LinearLayout>
                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="@dimen/padding_10dp"
                        android:orientation="horizontal"
                        android:weightSum="10">

                        <TextView
                            android:id="@+id/qty_sold_txt"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_vertical"
                            android:layout_weight="5"
                            android:gravity="center_vertical"
                            android:padding="@dimen/custom_margin"
                            android:text=""
                            android:textColor="@color/black"
                            android:textSize="@dimen/text_size_16sp"
                            android:textStyle="normal" />

                        <TextView
                            android:id="@+id/consume_product_qty_with_date"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center|right"
                            android:layout_marginRight="@dimen/custom_margin3dp"
                            android:layout_weight="5"
                            android:gravity="right|center"
                            android:padding="@dimen/custom_margin"
                            android:text="Deepika"
                            android:textColor="@color/black"
                            android:textSize="@dimen/text_size_16sp"
                            android:textStyle="normal" />
                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="@dimen/padding_10dp"
                        android:layout_marginTop="@dimen/custom_margin3dp"
                        android:orientation="horizontal"
                        android:weightSum="10">


                        <TextView
                            android:id="@+id/total_amount_txt"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center|right"
                            android:layout_marginRight="@dimen/custom_margin3dp"
                            android:layout_weight="10"
                            android:gravity="right|center"
                            android:padding="@dimen/custom_margin"
                            android:text="123"
                            android:textColor="@color/black"
                            android:textSize="@dimen/text_size_16sp"
                            android:textStyle="bold" />
                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_margin="@dimen/custom_margin"
                        android:orientation="horizontal"
                        android:weightSum="10">

                        <TextView
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="5"
                            android:gravity="center_vertical"
                            android:padding="@dimen/custom_margin"
                            android:layout_gravity="center_vertical"
                            android:text="Product QTY"
                            android:textColor="@color/black"
                            android:textSize="@dimen/text_size_16sp"
                            android:textStyle="normal" />


                        <Button
                            android:id="@+id/stock_img_minus"
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_gravity="center"
                            android:layout_weight="1.5"
                            android:background="@android:color/transparent"
                            android:gravity="center"
                            android:text="-"
                            android:textColor="@color/black"
                            android:textSize="@dimen/custom_margin35dp" />

                        <TextView
                            android:id="@+id/stock_text_value"
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_gravity="center"
                            android:layout_weight="2"
                            android:background="@android:color/transparent"
                            android:gravity="center"
                            android:padding="@dimen/custom_margin"
                            android:text="0"
                            android:textColor="@color/black"
                            android:textSize="@dimen/text_size_16sp"
                            android:textStyle="bold" />

                        <Button
                            android:id="@+id/stock_img_plus"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center"
                            android:layout_weight="1.5"
                            android:background="@android:color/transparent"
                            android:gravity="center"
                            android:text="+"
                            android:textColor="@color/black"
                            android:textSize="@dimen/custom_margin35dp" />

                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_margin="@dimen/custom_margin"
                        android:orientation="horizontal"
                        android:weightSum="10">

                        <TextView
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_vertical"
                            android:layout_weight="4"
                            android:gravity="center_vertical"
                            android:padding="@dimen/custom_margin"
                            android:text="@string/return_reason"
                            android:textColor="@color/black"
                            android:textSize="@dimen/text_size_16sp"
                            android:textStyle="normal" />

                        <Spinner
                            android:id="@+id/return_reason_spin"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center"
                            android:layout_weight="6"
                            android:gravity="center"
                            android:padding="@dimen/margin1dp"
                            android:background="@drawable/rouded_corner_edt"/>

                    </LinearLayout>
                </LinearLayout>

            </LinearLayout>
        </LinearLayout>
    </androidx.cardview.widget.CardView>

</LinearLayout>